Bug 237978 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcp (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 237789 237984 237985
TreeView+ depends on / blocked
 
Reported: 2007-04-26 12:43 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0323
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:24:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dhcpd.init (1.89 KB, text/plain)
2007-09-25 20:17 UTC, David Cantrell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0323 normal SHIPPED_LIVE dhcp bug fix update 2008-05-20 13:22:22 UTC

Description Michal Marciniszyn 2007-04-26 12:43:42 UTC
Description of problem:
Following code ends init script with error code 0 even though the service is not
started:
[ ${NETWORKING} = "no" ] && exit 0

[ -f /usr/sbin/dhcpd ] || exit 0
There is also at least one place where is incorrect error code (unimplemented
feature of the script).

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. service network stop
2. service dhcpd start/status
3. echo $?
  
Actual results:
0

Expected results:
non-zero error code/status code of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 David Cantrell 2007-09-25 20:17:33 UTC
Created attachment 206011 [details]
dhcpd.init

Comment 2 RHEL Product and Program Management 2007-10-19 20:29:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 James Laska 2007-11-02 16:57:21 UTC
Adding QA_ACK for 5.2

Comment 4 David Cantrell 2007-11-19 21:37:04 UTC
Fixed in dhcp-3.0.5-9.el5, moving to MODIFIED.

Comment 8 errata-xmlrpc 2008-05-21 15:24:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0323.html



Note You need to log in before you can comment on or make changes to this bug.